Merge from emacs-24; up to 2012-12-13T09:45:54Z!lekktu@gmail.com
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2013 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module at-internal:
44 # Code from module c-ctype:
45 # Code from module c-strcase:
46 # Code from module careadlinkat:
47 # Code from module clock-time:
48 # Code from module close-stream:
49 # Code from module crypto/md5:
50 # Code from module crypto/sha1:
51 # Code from module crypto/sha256:
52 # Code from module crypto/sha512:
53 # Code from module dirent:
54 # Code from module dosname:
55 # Code from module dtoastr:
56 # Code from module dtotimespec:
57 # Code from module dup2:
58 # Code from module environ:
59 # Code from module euidaccess:
60 # Code from module execinfo:
61 # Code from module extensions:
62 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
63 # Code from module extern-inline:
64 # Code from module faccessat:
65 # Code from module fcntl-h:
66 # Code from module fdopendir:
67 # Code from module filemode:
68 # Code from module fpending:
69 # Code from module fstatat:
70 # Code from module getgroups:
71 # Code from module getloadavg:
72 # Code from module getopt-gnu:
73 # Code from module getopt-posix:
74 # Code from module gettext-h:
75 # Code from module gettime:
76 # Code from module gettimeofday:
77 # Code from module group-member:
78 # Code from module ignore-value:
79 # Code from module include_next:
80 # Code from module intprops:
81 # Code from module inttypes-incomplete:
82 # Code from module largefile:
83 AC_REQUIRE([AC_SYS_LARGEFILE])
84 # Code from module lstat:
85 # Code from module manywarnings:
86 # Code from module mktime:
87 # Code from module multiarch:
88 # Code from module nocrash:
89 # Code from module openat-h:
90 # Code from module pathmax:
91 # Code from module pselect:
92 # Code from module pthread_sigmask:
93 # Code from module putenv:
94 # Code from module readlink:
95 # Code from module readlinkat:
96 # Code from module root-uid:
97 # Code from module sig2str:
98 # Code from module signal-h:
99 # Code from module snippet/_Noreturn:
100 # Code from module snippet/arg-nonnull:
101 # Code from module snippet/c++defs:
102 # Code from module snippet/warn-on-use:
103 # Code from module socklen:
104 # Code from module ssize_t:
105 # Code from module stat:
106 # Code from module stat-time:
107 # Code from module stdalign:
108 # Code from module stdarg:
109 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
110 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
111 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
112 dnl shouldn't hurt, though installers are on their own to set c99 mode.
113 gl_PROG_CC_C99
114 # Code from module stdbool:
115 # Code from module stddef:
116 # Code from module stdint:
117 # Code from module stdio:
118 # Code from module stdlib:
119 # Code from module strftime:
120 # Code from module strtoimax:
121 # Code from module strtoll:
122 # Code from module strtoull:
123 # Code from module strtoumax:
124 # Code from module symlink:
125 # Code from module sys_select:
126 # Code from module sys_stat:
127 # Code from module sys_time:
128 # Code from module time:
129 # Code from module time_r:
130 # Code from module timer-time:
131 # Code from module timespec:
132 # Code from module timespec-add:
133 # Code from module timespec-sub:
134 # Code from module u64:
135 # Code from module unistd:
136 # Code from module unsetenv:
137 # Code from module utimens:
138 # Code from module verify:
139 # Code from module warnings:
140 # Code from module xalloc-oversized:
141 ])
142
143 # This macro should be invoked from ./configure.ac, in the section
144 # "Check for header files, types and library functions".
145 AC_DEFUN([gl_INIT],
146 [
147 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
148 gl_cond_libtool=false
149 gl_libdeps=
150 gl_ltlibdeps=
151 gl_m4_base='m4'
152 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
153 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
154 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
155 m4_pushdef([gl_LIBSOURCES_LIST], [])
156 m4_pushdef([gl_LIBSOURCES_DIR], [])
157 gl_COMMON
158 gl_source_base='lib'
159 gl_FUNC_ALLOCA
160 AC_CHECK_FUNCS_ONCE([readlinkat])
161 gl_CLOCK_TIME
162 gl_CLOSE_STREAM
163 gl_MODULE_INDICATOR([close-stream])
164 gl_MD5
165 gl_SHA1
166 gl_SHA256
167 gl_SHA512
168 gl_DIRENT_H
169 AC_REQUIRE([gl_C99_STRTOLD])
170 gl_FUNC_DUP2
171 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
172 AC_LIBOBJ([dup2])
173 gl_PREREQ_DUP2
174 fi
175 gl_UNISTD_MODULE_INDICATOR([dup2])
176 gl_ENVIRON
177 gl_UNISTD_MODULE_INDICATOR([environ])
178 gl_EXECINFO_H
179 AC_REQUIRE([gl_EXTERN_INLINE])
180 gl_FUNC_FACCESSAT
181 if test $HAVE_FACCESSAT = 0; then
182 AC_LIBOBJ([faccessat])
183 gl_PREREQ_FACCESSAT
184 fi
185 gl_MODULE_INDICATOR([faccessat])
186 gl_UNISTD_MODULE_INDICATOR([faccessat])
187 gl_FCNTL_H
188 gl_FUNC_FDOPENDIR
189 if test $HAVE_FDOPENDIR = 0 || test $REPLACE_FDOPENDIR = 1; then
190 AC_LIBOBJ([fdopendir])
191 fi
192 gl_DIRENT_MODULE_INDICATOR([fdopendir])
193 gl_MODULE_INDICATOR([fdopendir])
194 gl_FILEMODE
195 gl_FUNC_FPENDING
196 if test $ac_cv_func___fpending = no; then
197 AC_LIBOBJ([fpending])
198 gl_PREREQ_FPENDING
199 fi
200 gl_FUNC_FSTATAT
201 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
202 AC_LIBOBJ([fstatat])
203 fi
204 gl_SYS_STAT_MODULE_INDICATOR([fstatat])
205 gl_GETLOADAVG
206 if test $HAVE_GETLOADAVG = 0; then
207 AC_LIBOBJ([getloadavg])
208 gl_PREREQ_GETLOADAVG
209 fi
210 gl_STDLIB_MODULE_INDICATOR([getloadavg])
211 gl_FUNC_GETOPT_GNU
212 if test $REPLACE_GETOPT = 1; then
213 AC_LIBOBJ([getopt])
214 AC_LIBOBJ([getopt1])
215 gl_PREREQ_GETOPT
216 dnl Arrange for unistd.h to include getopt.h.
217 GNULIB_GL_UNISTD_H_GETOPT=1
218 fi
219 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
220 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
221 gl_FUNC_GETOPT_POSIX
222 if test $REPLACE_GETOPT = 1; then
223 AC_LIBOBJ([getopt])
224 AC_LIBOBJ([getopt1])
225 gl_PREREQ_GETOPT
226 dnl Arrange for unistd.h to include getopt.h.
227 GNULIB_GL_UNISTD_H_GETOPT=1
228 fi
229 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
230 gl_GETTIME
231 gl_FUNC_GETTIMEOFDAY
232 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
233 AC_LIBOBJ([gettimeofday])
234 gl_PREREQ_GETTIMEOFDAY
235 fi
236 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
237 gl_INTTYPES_INCOMPLETE
238 AC_REQUIRE([gl_LARGEFILE])
239 gl_FUNC_LSTAT
240 if test $REPLACE_LSTAT = 1; then
241 AC_LIBOBJ([lstat])
242 gl_PREREQ_LSTAT
243 fi
244 gl_SYS_STAT_MODULE_INDICATOR([lstat])
245 gl_FUNC_MKTIME
246 if test $REPLACE_MKTIME = 1; then
247 AC_LIBOBJ([mktime])
248 gl_PREREQ_MKTIME
249 fi
250 gl_TIME_MODULE_INDICATOR([mktime])
251 gl_MULTIARCH
252 gl_FUNC_PSELECT
253 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
254 AC_LIBOBJ([pselect])
255 fi
256 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
257 gl_FUNC_PTHREAD_SIGMASK
258 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
259 AC_LIBOBJ([pthread_sigmask])
260 gl_PREREQ_PTHREAD_SIGMASK
261 fi
262 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
263 gl_FUNC_PUTENV
264 if test $REPLACE_PUTENV = 1; then
265 AC_LIBOBJ([putenv])
266 fi
267 gl_STDLIB_MODULE_INDICATOR([putenv])
268 gl_FUNC_READLINK
269 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
270 AC_LIBOBJ([readlink])
271 gl_PREREQ_READLINK
272 fi
273 gl_UNISTD_MODULE_INDICATOR([readlink])
274 gl_FUNC_READLINKAT
275 if test $HAVE_READLINKAT = 0; then
276 AC_LIBOBJ([readlinkat])
277 fi
278 gl_UNISTD_MODULE_INDICATOR([readlinkat])
279 gl_FUNC_SIG2STR
280 if test $ac_cv_func_sig2str = no; then
281 AC_LIBOBJ([sig2str])
282 gl_PREREQ_SIG2STR
283 fi
284 gl_SIGNAL_H
285 gl_TYPE_SOCKLEN_T
286 gt_TYPE_SSIZE_T
287 gl_STAT_TIME
288 gl_STAT_BIRTHTIME
289 gl_STDALIGN_H
290 gl_STDARG_H
291 AM_STDBOOL_H
292 gl_STDDEF_H
293 gl_STDINT_H
294 gl_STDIO_H
295 gl_STDLIB_H
296 gl_FUNC_GNU_STRFTIME
297 gl_FUNC_STRTOIMAX
298 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
299 AC_LIBOBJ([strtoimax])
300 gl_PREREQ_STRTOIMAX
301 fi
302 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
303 gl_FUNC_STRTOUMAX
304 if test $ac_cv_func_strtoumax = no; then
305 AC_LIBOBJ([strtoumax])
306 gl_PREREQ_STRTOUMAX
307 fi
308 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
309 gl_FUNC_SYMLINK
310 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
311 AC_LIBOBJ([symlink])
312 fi
313 gl_UNISTD_MODULE_INDICATOR([symlink])
314 gl_HEADER_SYS_SELECT
315 AC_PROG_MKDIR_P
316 gl_HEADER_SYS_STAT_H
317 AC_PROG_MKDIR_P
318 gl_HEADER_SYS_TIME_H
319 AC_PROG_MKDIR_P
320 gl_HEADER_TIME_H
321 gl_TIME_R
322 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
323 AC_LIBOBJ([time_r])
324 gl_PREREQ_TIME_R
325 fi
326 gl_TIME_MODULE_INDICATOR([time_r])
327 gl_TIMER_TIME
328 gl_TIMESPEC
329 gl_UNISTD_H
330 gl_FUNC_UNSETENV
331 if test $HAVE_UNSETENV = 0 || test $REPLACE_UNSETENV = 1; then
332 AC_LIBOBJ([unsetenv])
333 gl_PREREQ_UNSETENV
334 fi
335 gl_STDLIB_MODULE_INDICATOR([unsetenv])
336 gl_UTIMENS
337 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=false
338 gl_gnulib_enabled_dosname=false
339 gl_gnulib_enabled_euidaccess=false
340 gl_gnulib_enabled_getgroups=false
341 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
342 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=false
343 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=false
344 gl_gnulib_enabled_pathmax=false
345 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=false
346 gl_gnulib_enabled_stat=false
347 gl_gnulib_enabled_strtoll=false
348 gl_gnulib_enabled_strtoull=false
349 gl_gnulib_enabled_verify=false
350 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=false
351 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b ()
352 {
353 if ! $gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b; then
354 AC_LIBOBJ([openat-proc])
355 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=true
356 fi
357 }
358 func_gl_gnulib_m4code_dosname ()
359 {
360 if ! $gl_gnulib_enabled_dosname; then
361 gl_gnulib_enabled_dosname=true
362 fi
363 }
364 func_gl_gnulib_m4code_euidaccess ()
365 {
366 if ! $gl_gnulib_enabled_euidaccess; then
367 gl_FUNC_EUIDACCESS
368 if test $HAVE_EUIDACCESS = 0; then
369 AC_LIBOBJ([euidaccess])
370 gl_PREREQ_EUIDACCESS
371 fi
372 gl_UNISTD_MODULE_INDICATOR([euidaccess])
373 gl_gnulib_enabled_euidaccess=true
374 if test $HAVE_EUIDACCESS = 0; then
375 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1
376 fi
377 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c
378 if test $HAVE_EUIDACCESS = 0; then
379 func_gl_gnulib_m4code_stat
380 fi
381 fi
382 }
383 func_gl_gnulib_m4code_getgroups ()
384 {
385 if ! $gl_gnulib_enabled_getgroups; then
386 gl_FUNC_GETGROUPS
387 if test $HAVE_GETGROUPS = 0 || test $REPLACE_GETGROUPS = 1; then
388 AC_LIBOBJ([getgroups])
389 fi
390 gl_UNISTD_MODULE_INDICATOR([getgroups])
391 gl_gnulib_enabled_getgroups=true
392 fi
393 }
394 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
395 {
396 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
397 AC_SUBST([LIBINTL])
398 AC_SUBST([LTLIBINTL])
399 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
400 fi
401 }
402 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1 ()
403 {
404 if ! $gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1; then
405 gl_FUNC_GROUP_MEMBER
406 if test $HAVE_GROUP_MEMBER = 0; then
407 AC_LIBOBJ([group-member])
408 gl_PREREQ_GROUP_MEMBER
409 fi
410 gl_UNISTD_MODULE_INDICATOR([group-member])
411 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=true
412 if test $HAVE_GROUP_MEMBER = 0; then
413 func_gl_gnulib_m4code_getgroups
414 fi
415 if test $HAVE_GROUP_MEMBER = 0; then
416 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec
417 fi
418 fi
419 }
420 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7 ()
421 {
422 if ! $gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7; then
423 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=true
424 fi
425 }
426 func_gl_gnulib_m4code_pathmax ()
427 {
428 if ! $gl_gnulib_enabled_pathmax; then
429 gl_PATHMAX
430 gl_gnulib_enabled_pathmax=true
431 fi
432 }
433 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c ()
434 {
435 if ! $gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c; then
436 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=true
437 fi
438 }
439 func_gl_gnulib_m4code_stat ()
440 {
441 if ! $gl_gnulib_enabled_stat; then
442 gl_FUNC_STAT
443 if test $REPLACE_STAT = 1; then
444 AC_LIBOBJ([stat])
445 gl_PREREQ_STAT
446 fi
447 gl_SYS_STAT_MODULE_INDICATOR([stat])
448 gl_gnulib_enabled_stat=true
449 if test $REPLACE_STAT = 1; then
450 func_gl_gnulib_m4code_dosname
451 fi
452 if test $REPLACE_STAT = 1; then
453 func_gl_gnulib_m4code_pathmax
454 fi
455 if test $REPLACE_STAT = 1; then
456 func_gl_gnulib_m4code_verify
457 fi
458 fi
459 }
460 func_gl_gnulib_m4code_strtoll ()
461 {
462 if ! $gl_gnulib_enabled_strtoll; then
463 gl_FUNC_STRTOLL
464 if test $HAVE_STRTOLL = 0; then
465 AC_LIBOBJ([strtoll])
466 gl_PREREQ_STRTOLL
467 fi
468 gl_STDLIB_MODULE_INDICATOR([strtoll])
469 gl_gnulib_enabled_strtoll=true
470 fi
471 }
472 func_gl_gnulib_m4code_strtoull ()
473 {
474 if ! $gl_gnulib_enabled_strtoull; then
475 gl_FUNC_STRTOULL
476 if test $HAVE_STRTOULL = 0; then
477 AC_LIBOBJ([strtoull])
478 gl_PREREQ_STRTOULL
479 fi
480 gl_STDLIB_MODULE_INDICATOR([strtoull])
481 gl_gnulib_enabled_strtoull=true
482 fi
483 }
484 func_gl_gnulib_m4code_verify ()
485 {
486 if ! $gl_gnulib_enabled_verify; then
487 gl_gnulib_enabled_verify=true
488 fi
489 }
490 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec ()
491 {
492 if ! $gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec; then
493 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=true
494 fi
495 }
496 if test $HAVE_FACCESSAT = 0; then
497 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
498 fi
499 if test $HAVE_FACCESSAT = 0; then
500 func_gl_gnulib_m4code_dosname
501 fi
502 if test $HAVE_FACCESSAT = 0; then
503 func_gl_gnulib_m4code_euidaccess
504 fi
505 if test $HAVE_FACCESSAT = 0; then
506 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
507 fi
508 if test $HAVE_FDOPENDIR = 0; then
509 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
510 fi
511 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
512 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
513 fi
514 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
515 func_gl_gnulib_m4code_dosname
516 fi
517 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
518 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
519 fi
520 if test $REPLACE_GETOPT = 1; then
521 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
522 fi
523 if test $REPLACE_LSTAT = 1; then
524 func_gl_gnulib_m4code_dosname
525 fi
526 if test $REPLACE_LSTAT = 1; then
527 func_gl_gnulib_m4code_stat
528 fi
529 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
530 func_gl_gnulib_m4code_stat
531 fi
532 if test $HAVE_READLINKAT = 0; then
533 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
534 fi
535 if test $HAVE_READLINKAT = 0; then
536 func_gl_gnulib_m4code_dosname
537 fi
538 if test $HAVE_READLINKAT = 0; then
539 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
540 fi
541 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
542 func_gl_gnulib_m4code_strtoll
543 fi
544 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
545 func_gl_gnulib_m4code_verify
546 fi
547 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
548 func_gl_gnulib_m4code_strtoull
549 fi
550 if test $ac_cv_func_strtoumax = no; then
551 func_gl_gnulib_m4code_verify
552 fi
553 m4_pattern_allow([^gl_GNULIB_ENABLED_])
554 AM_CONDITIONAL([gl_GNULIB_ENABLED_260941c0e5dc67ec9e87d1fb321c300b], [$gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b])
555 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
556 AM_CONDITIONAL([gl_GNULIB_ENABLED_euidaccess], [$gl_gnulib_enabled_euidaccess])
557 AM_CONDITIONAL([gl_GNULIB_ENABLED_getgroups], [$gl_gnulib_enabled_getgroups])
558 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
559 AM_CONDITIONAL([gl_GNULIB_ENABLED_a9786850e999ae65a836a6041e8e5ed1], [$gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1])
560 AM_CONDITIONAL([gl_GNULIB_ENABLED_03e0aaad4cb89ca757653bd367a6ccb7], [$gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7])
561 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
562 AM_CONDITIONAL([gl_GNULIB_ENABLED_6099e9737f757db36c47fa9d9f02e88c], [$gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c])
563 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
564 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
565 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
566 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
567 AM_CONDITIONAL([gl_GNULIB_ENABLED_682e609604ccaac6be382e4ee3a4eaec], [$gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec])
568 # End of code from modules
569 m4_ifval(gl_LIBSOURCES_LIST, [
570 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
571 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
572 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
573 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
574 exit 1
575 fi
576 done])dnl
577 m4_if(m4_sysval, [0], [],
578 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
579 ])
580 m4_popdef([gl_LIBSOURCES_DIR])
581 m4_popdef([gl_LIBSOURCES_LIST])
582 m4_popdef([AC_LIBSOURCES])
583 m4_popdef([AC_REPLACE_FUNCS])
584 m4_popdef([AC_LIBOBJ])
585 AC_CONFIG_COMMANDS_PRE([
586 gl_libobjs=
587 gl_ltlibobjs=
588 if test -n "$gl_LIBOBJS"; then
589 # Remove the extension.
590 sed_drop_objext='s/\.o$//;s/\.obj$//'
591 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
592 gl_libobjs="$gl_libobjs $i.$ac_objext"
593 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
594 done
595 fi
596 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
597 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
598 ])
599 gltests_libdeps=
600 gltests_ltlibdeps=
601 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
602 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
603 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
604 m4_pushdef([gltests_LIBSOURCES_LIST], [])
605 m4_pushdef([gltests_LIBSOURCES_DIR], [])
606 gl_COMMON
607 gl_source_base='tests'
608 changequote(,)dnl
609 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
610 changequote([, ])dnl
611 AC_SUBST([gltests_WITNESS])
612 gl_module_indicator_condition=$gltests_WITNESS
613 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
614 m4_pattern_allow([^gl_GNULIB_ENABLED_])
615 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
616 m4_ifval(gltests_LIBSOURCES_LIST, [
617 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
618 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
619 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
620 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
621 exit 1
622 fi
623 done])dnl
624 m4_if(m4_sysval, [0], [],
625 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
626 ])
627 m4_popdef([gltests_LIBSOURCES_DIR])
628 m4_popdef([gltests_LIBSOURCES_LIST])
629 m4_popdef([AC_LIBSOURCES])
630 m4_popdef([AC_REPLACE_FUNCS])
631 m4_popdef([AC_LIBOBJ])
632 AC_CONFIG_COMMANDS_PRE([
633 gltests_libobjs=
634 gltests_ltlibobjs=
635 if test -n "$gltests_LIBOBJS"; then
636 # Remove the extension.
637 sed_drop_objext='s/\.o$//;s/\.obj$//'
638 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
639 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
640 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
641 done
642 fi
643 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
644 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
645 ])
646 LIBGNU_LIBDEPS="$gl_libdeps"
647 AC_SUBST([LIBGNU_LIBDEPS])
648 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
649 AC_SUBST([LIBGNU_LTLIBDEPS])
650 ])
651
652 # Like AC_LIBOBJ, except that the module name goes
653 # into gl_LIBOBJS instead of into LIBOBJS.
654 AC_DEFUN([gl_LIBOBJ], [
655 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
656 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
657 ])
658
659 # Like AC_REPLACE_FUNCS, except that the module name goes
660 # into gl_LIBOBJS instead of into LIBOBJS.
661 AC_DEFUN([gl_REPLACE_FUNCS], [
662 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
663 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
664 ])
665
666 # Like AC_LIBSOURCES, except the directory where the source file is
667 # expected is derived from the gnulib-tool parameterization,
668 # and alloca is special cased (for the alloca-opt module).
669 # We could also entirely rely on EXTRA_lib..._SOURCES.
670 AC_DEFUN([gl_LIBSOURCES], [
671 m4_foreach([_gl_NAME], [$1], [
672 m4_if(_gl_NAME, [alloca.c], [], [
673 m4_define([gl_LIBSOURCES_DIR], [lib])
674 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
675 ])
676 ])
677 ])
678
679 # Like AC_LIBOBJ, except that the module name goes
680 # into gltests_LIBOBJS instead of into LIBOBJS.
681 AC_DEFUN([gltests_LIBOBJ], [
682 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
683 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
684 ])
685
686 # Like AC_REPLACE_FUNCS, except that the module name goes
687 # into gltests_LIBOBJS instead of into LIBOBJS.
688 AC_DEFUN([gltests_REPLACE_FUNCS], [
689 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
690 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
691 ])
692
693 # Like AC_LIBSOURCES, except the directory where the source file is
694 # expected is derived from the gnulib-tool parameterization,
695 # and alloca is special cased (for the alloca-opt module).
696 # We could also entirely rely on EXTRA_lib..._SOURCES.
697 AC_DEFUN([gltests_LIBSOURCES], [
698 m4_foreach([_gl_NAME], [$1], [
699 m4_if(_gl_NAME, [alloca.c], [], [
700 m4_define([gltests_LIBSOURCES_DIR], [tests])
701 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
702 ])
703 ])
704 ])
705
706 # This macro records the list of files which have been installed by
707 # gnulib-tool and may be removed by future gnulib-tool invocations.
708 AC_DEFUN([gl_FILE_LIST], [
709 build-aux/snippet/_Noreturn.h
710 build-aux/snippet/arg-nonnull.h
711 build-aux/snippet/c++defs.h
712 build-aux/snippet/warn-on-use.h
713 lib/alloca.in.h
714 lib/allocator.c
715 lib/allocator.h
716 lib/at-func.c
717 lib/c-ctype.c
718 lib/c-ctype.h
719 lib/c-strcase.h
720 lib/c-strcasecmp.c
721 lib/c-strncasecmp.c
722 lib/careadlinkat.c
723 lib/careadlinkat.h
724 lib/close-stream.c
725 lib/close-stream.h
726 lib/dirent.in.h
727 lib/dosname.h
728 lib/dtoastr.c
729 lib/dtotimespec.c
730 lib/dup2.c
731 lib/euidaccess.c
732 lib/execinfo.c
733 lib/execinfo.in.h
734 lib/faccessat.c
735 lib/fcntl.in.h
736 lib/fdopendir.c
737 lib/filemode.c
738 lib/filemode.h
739 lib/fpending.c
740 lib/fpending.h
741 lib/fstatat.c
742 lib/ftoastr.c
743 lib/ftoastr.h
744 lib/getgroups.c
745 lib/getloadavg.c
746 lib/getopt.c
747 lib/getopt.in.h
748 lib/getopt1.c
749 lib/getopt_int.h
750 lib/gettext.h
751 lib/gettime.c
752 lib/gettimeofday.c
753 lib/group-member.c
754 lib/ignore-value.h
755 lib/intprops.h
756 lib/inttypes.in.h
757 lib/lstat.c
758 lib/md5.c
759 lib/md5.h
760 lib/mktime-internal.h
761 lib/mktime.c
762 lib/openat-priv.h
763 lib/openat-proc.c
764 lib/openat.h
765 lib/pathmax.h
766 lib/pselect.c
767 lib/pthread_sigmask.c
768 lib/putenv.c
769 lib/readlink.c
770 lib/readlinkat.c
771 lib/root-uid.h
772 lib/sha1.c
773 lib/sha1.h
774 lib/sha256.c
775 lib/sha256.h
776 lib/sha512.c
777 lib/sha512.h
778 lib/sig2str.c
779 lib/sig2str.h
780 lib/signal.in.h
781 lib/stat-time.c
782 lib/stat-time.h
783 lib/stat.c
784 lib/stdalign.in.h
785 lib/stdarg.in.h
786 lib/stdbool.in.h
787 lib/stddef.in.h
788 lib/stdint.in.h
789 lib/stdio.in.h
790 lib/stdlib.in.h
791 lib/strftime.c
792 lib/strftime.h
793 lib/strtoimax.c
794 lib/strtol.c
795 lib/strtoll.c
796 lib/strtoul.c
797 lib/strtoull.c
798 lib/strtoumax.c
799 lib/symlink.c
800 lib/sys_select.in.h
801 lib/sys_stat.in.h
802 lib/sys_time.in.h
803 lib/time.in.h
804 lib/time_r.c
805 lib/timespec-add.c
806 lib/timespec-sub.c
807 lib/timespec.c
808 lib/timespec.h
809 lib/u64.c
810 lib/u64.h
811 lib/unistd.c
812 lib/unistd.in.h
813 lib/unsetenv.c
814 lib/utimens.c
815 lib/utimens.h
816 lib/verify.h
817 lib/xalloc-oversized.h
818 m4/00gnulib.m4
819 m4/alloca.m4
820 m4/c-strtod.m4
821 m4/clock_time.m4
822 m4/close-stream.m4
823 m4/dirent_h.m4
824 m4/dup2.m4
825 m4/environ.m4
826 m4/euidaccess.m4
827 m4/execinfo.m4
828 m4/extensions.m4
829 m4/extern-inline.m4
830 m4/faccessat.m4
831 m4/fcntl-o.m4
832 m4/fcntl_h.m4
833 m4/fdopendir.m4
834 m4/filemode.m4
835 m4/fpending.m4
836 m4/fstatat.m4
837 m4/getgroups.m4
838 m4/getloadavg.m4
839 m4/getopt.m4
840 m4/gettime.m4
841 m4/gettimeofday.m4
842 m4/gnulib-common.m4
843 m4/group-member.m4
844 m4/include_next.m4
845 m4/inttypes.m4
846 m4/largefile.m4
847 m4/longlong.m4
848 m4/lstat.m4
849 m4/manywarnings.m4
850 m4/md5.m4
851 m4/mktime.m4
852 m4/multiarch.m4
853 m4/nocrash.m4
854 m4/off_t.m4
855 m4/pathmax.m4
856 m4/pselect.m4
857 m4/pthread_sigmask.m4
858 m4/putenv.m4
859 m4/readlink.m4
860 m4/readlinkat.m4
861 m4/setenv.m4
862 m4/sha1.m4
863 m4/sha256.m4
864 m4/sha512.m4
865 m4/sig2str.m4
866 m4/signal_h.m4
867 m4/socklen.m4
868 m4/ssize_t.m4
869 m4/st_dm_mode.m4
870 m4/stat-time.m4
871 m4/stat.m4
872 m4/stdalign.m4
873 m4/stdarg.m4
874 m4/stdbool.m4
875 m4/stddef_h.m4
876 m4/stdint.m4
877 m4/stdio_h.m4
878 m4/stdlib_h.m4
879 m4/strftime.m4
880 m4/strtoimax.m4
881 m4/strtoll.m4
882 m4/strtoull.m4
883 m4/strtoumax.m4
884 m4/symlink.m4
885 m4/sys_select_h.m4
886 m4/sys_socket_h.m4
887 m4/sys_stat_h.m4
888 m4/sys_time_h.m4
889 m4/time_h.m4
890 m4/time_r.m4
891 m4/timer_time.m4
892 m4/timespec.m4
893 m4/tm_gmtoff.m4
894 m4/unistd_h.m4
895 m4/utimbuf.m4
896 m4/utimens.m4
897 m4/utimes.m4
898 m4/warn-on-use.m4
899 m4/warnings.m4
900 m4/wchar_t.m4
901 ])